import 'core-js/es/object/from-entries';
import 'core-js/es/array/flat';
import { VNodeChildElement } from 'snabbdom/h';
import { VNode } from 'snabbdom/vnode';
import { PlainObject } from './utility';
export { VNode } from 'snabbdom/vnode';
export { VNodeChildElement } from 'snabbdom/h';
export declare const patch: (oldVnode: Element | VNode, vnode: VNode) => VNode;
export declare function render(nodes: VNodeChildElement | VNodeChildElement[], root?: ParentNode & Node, oldNodes?: VNodeChildElement | VNodeChildElement[]): VNodeChildElement[];
interface LanguageMap {
    [text: string]: string;
}
interface I18nData {
    [language: string]: () => Promise<LanguageMap>;
}
export declare function setI18n(data: I18nData): Promise<LanguageMap>;
interface CellData {
    className?: string;
    style?: PlainObject;
    key?: string;
    ref?: (node: Node) => void;
    i18n?: boolean;
}
export declare function createCell(tag: string | Function, data?: CellData, ...defaultSlot: VNodeChildElement[]): VNode | VNode[];
